
/******************************************************************************
 CFileWndTask.h

  Interfaces for the FileWndTask Classes
		
  Copyright 1995 The Center for Sutton Movement Writing. All rights reserved.
		
 ******************************************************************************/
 
 
#pragma once


#include "CTask.h"						/* Interface for its superclass		*/
#include "CFileWndKeys.h"



struct CFileWndClear : CTask {	

	CFileWndKeys *itsKeyPane;	
	
	Byte		itsKeyCode;

	void		IFileWndClear (short nameIndex, CFileWndKeys *pane, Byte keyCode);
	
	void		Do   (void);
	void		Undo (void);
	void		Redo (void);
};



struct CFileWndPaste : CTask {	
	
	CFileWndKeys *itsKeyPane;	
	
	Byte		itsKeyCode;
	
	void		IFileWndPaste (CFileWndKeys *pane, Byte keyCode);
	
	void		Do   (void);
	void		Undo (void);
	void		Redo (void);
};
